#! /usr/bin/python3
# for Apple Pi
# (C)Copyright 2015-2024 All rights reserved by Y.Onodera
# http://einstlab.web.fc2.com

from gpiozero import Button, LED
import time
import sys

GPIO_SW1 = 22
GPIO_SW2 = 23
GPIO_SW3 = 24
GPIO_SW4 = 25
GPIO_SW5 = 26
GPIO_SW6 = 27

GPIO_LED1 = 5
GPIO_LED2 = 6

def callbackSW1(pin):
	led1.on()
	time.sleep(0.1)

def callbackSW2(pin):
	led1.off()
	time.sleep(0.1)

def callbackSW3(pin):
        led2.on()
        time.sleep(0.1)

def callbackSW4(pin):
        led2.off()
        time.sleep(0.1)

def callbackSW6(pin):
	global done
	done = False

Button(GPIO_SW1).when_pressed = callbackSW1
Button(GPIO_SW2).when_pressed = callbackSW2
Button(GPIO_SW3).when_pressed = callbackSW3
Button(GPIO_SW4).when_pressed = callbackSW4
Button(GPIO_SW6).when_pressed = callbackSW6
led1=LED(GPIO_LED1)
led1.off()
led2=LED(GPIO_LED2)
led2.off()

done = True
while done:
	time.sleep(1)


