#! /usr/bin/python
# for Apple Pi
# (C)Copyright 2015 All rights reserved by Y.Onodera
# http://einstlab.web.fc2.com

import gpiod

try:
    chip = gpiod.Chip('gpiochip4', gpiod.Chip.OPEN_BY_NAME)
except:
    chip = gpiod.Chip('gpiochip0', gpiod.Chip.OPEN_BY_NAME)
sw = chip.get_line(24)
sw.request(consumer='CONSUMER', type=gpiod.LINE_REQ_DIR_IN, flags=gpiod.LINE_REQ_FLAG_BIAS_PULL_UP)
print( sw.get_value() )
chip.close()

