#! /usr/bin/python
# for ApplePi
# (C)Copyright 2016 All rights reserved by Y.Onodera
# http://einstlab.web.fc2.com
# append /home/pi/ApplePi/poweroff.py & in /etc/rc.local

import gpiod
import time
import os

### main routine
try:
    chip = gpiod.Chip('gpiochip4', gpiod.Chip.OPEN_BY_NAME)
except:
    chip = gpiod.Chip('gpiochip0', gpiod.Chip.OPEN_BY_NAME)
sw = chip.get_line(26)
sw.request(consumer='CONSUMER', type=gpiod.LINE_REQ_EV_FALLING_EDGE, flags=gpiod.LINE_REQ_FLAG_BIAS_PULL_UP)

while True:
    events = sw.event_wait(sec=1)
    if events:
        event = sw.event_read()
        for i in range(50):
            time.sleep(0.1)
            if sw.get_value() == 1:
                break
        if i == 49:
            break
chip.close()
os.system('sudo poweroff')


