#! /bin/bash

# wget http://einstlab.web.fc2.com/RaspberryPi/ApplePi.tar
# tar xvf ApplePi.tar
# cd ApplePi
# ./setup.sh

if [ -f /boot/firmware/config.txt ]; then
  CONFIG=/boot/firmware/config.txt
else
  CONFIG=/boot/config.txt
fi

echo "Step 0"
sudo sed -i -e 's/i2c-dev//' /etc/modules
sudo sh -c "echo i2c-dev >> /etc/modules"
sudo sed -i -e 's/#dtparam=i2c_arm=on/dtparam=i2c_arm=on/' $CONFIG
sudo sed -i -e 's/dtoverlay=hifiberry-dac//' $CONFIG
sudo sh -c "echo dtoverlay=hifiberry-dac >> $CONFIG"
#sudo sh -c "echo options snd slots=snd_soc_rpi_simple_soundcard,snd_bcm2835 > /etc/modprobe.d/alsa-base.conf"
sudo rm -f /etc/modprobe.d/alsa-base.conf
sudo apt-get install -y i2c-tools
sudo apt-get install -y python3-smbus

echo "Step 1"
#sudo apt-get install -y pigpio
sudo apt-get install -y gpiod
sudo apt-get install -y libgpiod-dev
sudo apt-get install -y libgpiod2
sudo apt-get install -y python3-libgpiod


echo "Step 2"
./compile.sh

