#! /usr/bin/python
# for Apple Pi
# (C)Copyright 2015-2024 All rights reserved by Y.Onodera
# http://einstlab.web.fc2.com

import gpiod

try:
    chip = gpiod.Chip('gpiochip4', gpiod.Chip.OPEN_BY_NAME)
except:
    chip = gpiod.Chip('gpiochip0', gpiod.Chip.OPEN_BY_NAME)
sw = chip.get_line(27)

sw.request(consumer='CONSUMER', type=gpiod.LINE_REQ_EV_RISING_EDGE, flags=gpiod.LINE_REQ_FLAG_BIAS_PULL_UP)

while True:
    events = sw.event_wait(sec=1)
    if events:
        break
chip.close()


