#! /bin/bash


# wget http://einstlab.web.fc2.com/RaspberryPi/ApplePi.tar
# tar xvf ApplePi.tar
# cd ApplePi
# ./setup.sh


CONFIG=$(realpath /boot/config.txt)

echo "Step 0"
sudo sed -i -e 's/i2c-dev//' /etc/modules
sudo sh -c "echo i2c-dev >> /etc/modules"
sudo sed -i -e 's/#dtparam=i2c_arm=on/dtparam=i2c_arm=on/' $CONFIG
sudo sed -i -e 's/dtoverlay=hifiberry-dac//' $CONFIG
sudo sh -c "echo dtoverlay=hifiberry-dac >> $CONFIG"
#sudo sh -c "echo options snd slots=snd_soc_rpi_simple_soundcard,snd_bcm2835 > /etc/modprobe.d/alsa-base.conf"
sudo rm /etc/modprobe.d/alsa-base.conf
sudo apt-get install -y i2c-tools
sudo apt-get install -y python3-smbus
sudo apt-get install -y pigpio


echo "Step 1"
# /usr/local/bin/gpio
# /usr/local/lib/libwiringPi.so.2.70
# /usr/local/lib/libwiringPiDev.so.2.70
sudo apt-get purge -y wiringpi
git clone https://github.com/WiringPi/WiringPi.git
cd WiringPi
sed -i -e 's/if (strncmp (line, "Hardware", 8) != 0)//' wiringPi/wiringPi.c
sed -i -e 's/piGpioLayoutOops ("No \\"Hardware\\" line") ;//' wiringPi/wiringPi.c
sudo ./build
# sudo ./build uninstall
cd ..
sudo rm -r WiringPi

wget http://www.airspayce.com/mikem/bcm2835/bcm2835-1.73.tar.gz
tar zxvf bcm2835-1.73.tar.gz
rm bcm2835-1.73.tar.gz
cd bcm2835-1.73
./configure
make
sudo make check
sudo make install
# sudo make uninstall
cd ..
sudo rm -r bcm2835-1.73

echo "Step 2"
./compile.sh


