#! /bin/sh
# for Apple Pi
# (C)Copyright 2015 All rights reserved by Y.Onodera
# http://einstlab.web.fc2.com

./init.sh
./initLCD.sh
./printLCD.sh Apple-Pi

pinctrl set 22 ip pu
pinctrl set 23 ip pu
pinctrl set 24 ip pu
pinctrl set 25 ip pu
pinctrl set 27 ip pu

# polling
while [ 1 ]
do
	# get SW1
	sw1=$(pinctrl get 22 | cut -d' ' -f8)
	if [ $sw1 = "lo" ]  
	then
		# on LED1
		./locateLCD.sh 0 1
		./printLCD.sh SW1-on
		pinctrl set 5 op dh
	fi
	# get SW2
	sw2=$(pinctrl get 23 | cut -d' ' -f8)
	if [ $sw2 = "lo" ]	
	then
		# off LED1
		./locateLCD.sh 0 1
                ./printLCD.sh SW2-on
		pinctrl set 5 op dl
	fi
	# get SW3
	sw3=$(pinctrl get 24 | cut -d' ' -f8)
        if [ $sw3 = "lo" ]
        then
		# on LED2
		./locateLCD.sh 0 1
                ./printLCD.sh SW3-on
		pinctrl set 6 op dh
        fi
	# get SW4
	sw4=$(pinctrl get 25 | cut -d' ' -f8)
        if [ $sw4 = "lo" ]
        then
		# off LED2
		./locateLCD.sh 0 1
                ./printLCD.sh SW4-on
		pinctrl set 6 op dl
        fi
	# get SW6
	sw6=$(pinctrl get 27 | cut -d' ' -f8)
	if [ $sw6 = "lo" ]
	then
		# end
		break
	fi
	# wait 0.1sec
	sleep 0.1
done

