// for Apple Pi
// (C)Copyright 2015 All rights reserved by Y.Onodera
// http://einstlab.web.fc2.com
// using pigpio library
// $ gcc -o foo var.c -l pigpio
// $ sudo ./foo

#include <stdio.h>
#include <stdlib.h>
#include <pigpio.h>

// SW4 = GPIO25
#define PIN 25

int main(int argc, char **arg)
{
	int value;

	if(gpioInitialise()<0)return 1;

	gpioSetMode(PIN, PI_INPUT);

	gpioSetPullUpDown(PIN, PI_PUD_UP);

	value = gpioRead(PIN);
	printf("%d\n", value);

	gpioTerminate();

}


