// for Apple Pi
// (C)Copyright 2015 All rights reserved by Y.Onodera
// http://einstlab.web.fc2.com
// using pigpio library
// $ gcc -o foo var.c -l pigpio
// $ sudo ./foo

#include <stdio.h>
#include <pigpio.h>

// SW1 = GPIO22
#define PIN 22
int done=1;

void isr(int gpio, int level, uint32_t tick)
{
	// nothing to do
	done=0;
}

int main(int argc, char **arg)
{

	if(gpioInitialise()<0)return 1;

	gpioSetMode(PIN, PI_INPUT);
	gpioSetPullUpDown(PIN, PI_PUD_UP);

	gpioSetAlertFunc(PIN,isr);
	while(done);

	gpioTerminate();

}


