#! /bin/sh
# for Apple Pi
# (C)Copyright 2015 All rights reserved by Y.Onodera
# http://einstlab.web.fc2.com

TARGET=$(gpiodetect | grep pinctrl | cut -d' ' -f1)

./init.sh
./initLCD.sh
./printLCD.sh Apple-Pi


# polling
while [ 1 ]
do
	# get SW1
	sw1=$(gpioget --bias=pull-up $TARGET 22)
	if [ $sw1 = 0 ]  
	then
		# on LED1
		./locateLCD.sh 0 1
		./printLCD.sh SW1-on
		gpioset $TARGET 5=1
	fi
	# get SW2
	sw2=$(gpioget --bias=pull-up $TARGET 23)
	if [ $sw2 = 0 ]	
	then
		# off LED1
		./locateLCD.sh 0 1
                ./printLCD.sh SW2-on
		gpioset $TARGET 5=0
	fi
	# get SW3
	sw3=$(gpioget --bias=pull-up $TARGET 24)
        if [ $sw3 = 0 ]
        then
		# on LED2
		./locateLCD.sh 0 1
                ./printLCD.sh SW3-on
		gpioset $TARGET 6=1
        fi
	# get SW4
	sw4=$(gpioget --bias=pull-up $TARGET 25)
        if [ $sw4 = 0 ]
        then
		# off LED2
		./locateLCD.sh 0 1
                ./printLCD.sh SW4-on
		gpioset $TARGET 6=0
        fi
	# get SW6
	sw6=$(gpioget --bias=pull-up $TARGET 27)
	if [ $sw6 = 0 ]
	then
		# end
		break
	fi
	# wait 0.1sec
	sleep 0.1
done

