#! /usr/bin/python
# for Apple Pi
# (C)Copyright 2015-2024 All rights reserved by Y.Onodera
# http://einstlab.web.fc2.com

import gpiod
import time
import sys

chip = gpiod.Chip('gpiochip4', gpiod.Chip.OPEN_BY_NAME)
sw = chip.get_lines((22,23,24,25,26,27))
led1 = chip.get_line(5)
led2 = chip.get_line(6)

sw.request(consumer='CONSUMER', type=gpiod.LINE_REQ_DIR_IN, flags=gpiod.LINE_REQ_FLAG_BIAS_PULL_UP)
led1.request(consumer='CONSUMER', type=gpiod.LINE_REQ_DIR_OUT)
led2.request(consumer='CONSUMER', type=gpiod.LINE_REQ_DIR_OUT)

led1.set_value(0)
led2.set_value(0)

chip.close()


