// for Apple Pi
// (C)Copyright 2015 All rights reserved by Y.Onodera
// http://einstlab.web.fc2.com
// using gpiod library
// $ gcc -o foo var.c -l gpiod
// $ ./foo

#include <stdio.h>
#include <stdlib.h>
#include <gpiod.h>

// LED2 = GPIO6
#define PIN 6

int main(int argc, char **arg)
{
	int res;

	struct gpiod_chip *chip;
	// try gpiochip4 for RPI5
	chip = gpiod_chip_open_by_number(4);
	if ( chip == NULL ) {
		// try gpiochip0
		chip = gpiod_chip_open_by_number(0);
	}
	struct gpiod_line *led2 = gpiod_chip_get_line(chip, 6);

	res = gpiod_line_request_output(led2, "CONSUMER", 0);
        gpiod_line_set_value(led2, 0);
	gpiod_chip_close(chip);
}


